QGIS Application - Bug report #1210

Postgis: columns with enum datatypes are not shown in attribute table

2008-08-06 11:12 PM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11270
Description

Attribute tables with Postgis sources don't show columns with data type "enum". Enums are available in [[PostgreSQL]] 8.3 or later.

Ideally, the attribute table would show a choice of all available enum values as a drop-down list, but in the meanwhile it would be good

enough if they would be shown as plain text.

Thank you for having a look at this bug.

Associated revisions

Revision 9dbe4f57 - 2008-08-27 10:00 AM - Jiirgen Fischer

postgres provider update

- track open cursors and commit transaction whenever no open cursors are left

- close cursor after immediately after feature retrieval (releases locks earlier)

- wrap postgres calls in Conn class

- introduce Result class to handle PQclear mostly transparently (fixes minor leaks)
- remove executeDbCommand method (duplicate of PQexecNR)

- introduce support for estimate_extents (fixes #582)

- introduce support for enum types (fixes #1210)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9183 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision b9452c2d - 2008-08-27 10:00 AM - Jiirgen Fischer

postgres provider update

- track open cursors and commit transaction whenever no open cursors are left

- close cursor after immediately after feature retrieval (releases locks earlier)

- wrap postgres calls in Conn class

- introduce Result class to handle PQclear mostly transparently (fixes minor leaks)
- remove executeDbCommand method (duplicate of PQexecNR)

- introduce support for estimate_extents (fixes #582)

- introduce support for enum types (fixes #1210)

git-svn-id: http://svn.osgeo.org/qgis/trunk@9183 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-08-06 11:54 PM - Jiirgen Fischer
http://svn.osgeo.org/qgis/trunk/qgis@9183
http://svn.osgeo.org/qgis/trunk@9183

- Status changed from Open to In Progress

#2 - 2008-08-27 01:06 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from In Progress to Closed

added in commit:b9452c2d (SVN r9184)

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
